Author sbt
Recipients Arfrever, bjornedstrom, christian.heimes, ezio.melotti, gregory.p.smith, jcea, maker, pitrou, python-dev, sbt
Date 2012-10-07.16:15:16
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <>
_sha3 is not being built on Windows, so importing hashlib fails

>>> import hashlib
ERROR:root:code for hash sha3_224 was not found.
Traceback (most recent call last):
  File "C:\Repos\cpython-dirty\lib\", line 109, in __get_openssl_constructor
    f = getattr(_hashlib, 'openssl_' + name)
AttributeError: 'module' object has no attribute 'openssl_sha3_224'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Repos\cpython-dirty\lib\", line 154, in <module>
    globals()[__func_name] = __get_hash(__func_name)
  File "C:\Repos\cpython-dirty\lib\", line 116, in __get_openssl_constructor
    return __get_builtin_constructor(name)
  File "C:\Repos\cpython-dirty\lib\", line 104, in __get_builtin_constructor
    raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type sha3_224
Date User Action Args
2012-10-07 16:15:16sbtsetrecipients: + sbt, gregory.p.smith, jcea, pitrou, christian.heimes, ezio.melotti, Arfrever, maker, python-dev, bjornedstrom
2012-10-07 16:15:16sbtsetmessageid: <>
2012-10-07 16:15:16sbtlinkissue16113 messages
2012-10-07 16:15:16sbtcreate